variable "lambda_name" {
  type        = string
  description = "Logical name of the lambda (e.g. address2uprn)"
}

variable "stage" {
  description = "Deployment stage (e.g. dev, prod)"
  type        = string
}
variable "ecr_repo_url" {
  type        = string
  description = "ECR repository URL (no tag, no digest)"
}

variable "image_digest" {
  type        = string
  description = "Image digest (sha256:...)"
}

variable "maximum_concurrency" {
  type        = number
  default     = 10 # null if you don't want to set it for this handler
  description = "Maximum number of concurrent Lambda invocations from SQS (2-1000). null = no limit."
}

variable "batch_size" {
  type    = number
  default = 2
}

locals {
  image_uri = "${var.ecr_repo_url}@${var.image_digest}"
}

output "resolved_image_uri" {
  value = local.image_uri
}
